<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:variable name="fr-imgbase">/nkse/style/img/</xsl:variable>
	
	<xsl:strip-space elements="n"/>

	<xsl:template name="resolution">
		<div class="resolution">
			<style type="text/css">
				.resolution { font-size: 75%;}
				.n1 { margin-left: 2em; }
				.n2 { margin-left: 9px; }
			</style>
			<script language="Javascript">
				<xsl:comment>
					function getNamedChild(node,childName)
					{	if (node)
						{	for(child=node.firstChild; child; child=child.nextSibling )
							{	//console.log(child.nodeName);
								if (child.nodeType==1 &amp;&amp; child.nodeName==childName)
								{	return child;
								}
							}
						}
					}
					
					function fold(id)
					{ div=document.getElementById(id);
					  expand=div.style.display=='none';
					  //img=getNamedChild(getNamedChild(getNamedChild(getNamedChild(tr,"TD"),"DIV"),"A"),"IMG");
					  p = div.parentNode;
					  img = getNamedChild(getNamedChild(getNamedChild(p,"DIV"),"A"),"IMG");
					
					  if (expand)
					  { img.src="<xsl:value-of select="$fr-imgbase"/>minus.png";
					    div.style.display="";
					  }
					  else
					  { img.src="<xsl:value-of select="$fr-imgbase"/>plus.png";
					    div.style.display="none";
					  }
					}					
				</xsl:comment>
			</script>
			<xsl:apply-templates select="n"/>
		</div>
	</xsl:template>	
	
	<xsl:template match="n">
		<xsl:choose>
			<xsl:when test="n">
				<div>
					<xsl:variable name="did" select="generate-id()"/>
					<div style="text-align: left;"><a onClick="fold('{$did}')"><img src="{$fr-imgbase}plus.png"/></a><xsl:value-of select="text()"/></div>
					<div id="{$did}" style="display: none;" class="n1">
						<xsl:apply-templates select="n"/>
					</div>
				</div>
			</xsl:when>
			<xsl:otherwise>
				<div class="n2"><xsl:value-of select="text()"/></div>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>